Bug 58992 - scp does not like colons
scp does not like colons
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-01-28 18:31 EST by Michal Jaegermann
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 05:04:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-01-28 18:31:31 EST
Description of Problem:

'scp' refuses to handle files with ':' in their names.  No matter what
quoting and escaping I tried it was getting really confused.  The only
workaround if I want to keep names, time stamps and/or permits which came
to mind was to use tar, or similar, to stdout, and pass resulting stream
through ssh to an extracting tar on the other end.  Seeing my wife to do
that would be interesting. :-)

Smells like a "generic" bug in arguments handling by 'scp' not mentioned
on its manpage.
Comment 1 Zing 2002-01-29 14:18:13 EST
try a "./" before the filename.  ex.

scp ./blah:blah server:
scp server:./blah:blah backhome
Comment 2 Michal Jaegermann 2002-01-29 17:24:32 EST
Yes, indeed both 'scp ./blah:bla.txt ...' and 'scp ./blah\:bla.txt ...'
worked as intended.  After other quoting attempts failed this trick did
not come to my mind. :-)

Comment 3 Tomas Mraz 2005-02-03 05:04:17 EST
The workaround works. Otherwise try reporting upstream.

Note You need to log in before you can comment on or make changes to this bug.